{
    attributes = (
        {
            columnName = "C_TYPE_POPULATION"; 
            externalType = VARCHAR2; 
            name = cTypePopulation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FERMETURE"; 
            externalType = DATE; 
            name = dFermeture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_OUVERTURE"; 
            externalType = DATE; 
            name = dOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_TYPE_POPULATION"; 
            externalType = VARCHAR2; 
            name = lcTypePopulation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_TYPE_POPULATION"; 
            externalType = VARCHAR2; 
            name = llTypePopulation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            columnName = "REF_REGLEMENTAIRE"; 
            externalType = VARCHAR2; 
            name = refReglementaire; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_1DEGRE"; 
            externalType = VARCHAR2; 
            name = tem1Degre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_2DEGRE"; 
            externalType = VARCHAR2; 
            name = tem2Degre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_ATOS"; 
            externalType = VARCHAR2; 
            name = temAtos; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_BIBLIO"; 
            externalType = VARCHAR2; 
            name = temBiblio; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_CARRIERE"; 
            externalType = VARCHAR2; 
            name = temCarriere; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_ENSEIGNANT"; 
            externalType = VARCHAR2; 
            name = temEnseignant; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_ENS_SUP"; 
            externalType = VARCHAR2; 
            name = temEnsSup; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_FONCTIONNAIRE"; 
            externalType = VARCHAR2; 
            name = temFonctionnaire; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_HOSPITALIER"; 
            externalType = VARCHAR2; 
            name = temHospitalier; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_ITARF"; 
            externalType = VARCHAR2; 
            name = temItarf; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_VISIBLE"; 
            externalType = VARCHAR2; 
            name = temVisible; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        cTypePopulation, 
        lcTypePopulation, 
        llTypePopulation, 
        refReglementaire, 
        tem1Degre, 
        tem2Degre, 
        temAtos, 
        temBiblio, 
        temCarriere, 
        temEnseignant, 
        temEnsSup, 
        temFonctionnaire, 
        temHospitalier, 
        temItarf, 
        temVisible
    ); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EOTypePopulation"; 
    classProperties = (
        cTypePopulation, 
        dCreation, 
        dFermeture, 
        dModification, 
        dOuverture, 
        lcTypePopulation, 
        llTypePopulation, 
        refReglementaire, 
        tem1Degre, 
        tem2Degre, 
        temAtos, 
        temBiblio, 
        temCarriere, 
        temEnseignant, 
        temEnsSup, 
        temFonctionnaire, 
        temHospitalier, 
        temItarf, 
        temVisible, 
        toCorps
    ); 
    externalName = "GRHUM.TYPE_POPULATION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cTypePopulation, 
            lcTypePopulation, 
            llTypePopulation, 
            refReglementaire, 
            tem1Degre, 
            tem2Degre, 
            temAtos, 
            temBiblio, 
            temCarriere, 
            temEnseignant, 
            temEnsSup, 
            temFonctionnaire, 
            temHospitalier, 
            temItarf
        ); 
    }; 
    isReadOnly = Y; 
    name = "Fwkpers_TypePopulation"; 
    primaryKeyAttributes = (cTypePopulation); 
    relationships = (
        {
            destination = "Fwkpers_Corps"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cTypeCorps; sourceAttribute = cTypePopulation; }); 
            name = toCorps; 
        }
    ); 
}
